# Application description
DESCRIPTION.sqk = Squawk 3D game

#------------------------------------------------------------- rootdefines ---#
ifeq ($(MAKESECTION),rootdefines)

# Application-specific help commands
APPHELP += $(NEWLINE)echo $"  make sqk          Make the $(DESCRIPTION.sqk)$"

endif # ifeq ($(MAKESECTION),rootdefines)

#------------------------------------------------------------- roottargets ---#
ifeq ($(MAKESECTION),roottargets)

.PHONY: sqk sqkclean

all apps: sqk
sqk:
	$(MAKE_TARGET)
sqkclean:
	$(MAKE_CLEAN)

endif # ifeq ($(MAKESECTION),roottargets)

#------------------------------------------------------------- postdefines ---#
ifeq ($(MAKESECTION),postdefines)

vpath %.cpp apps/squawk apps/support

SQUAWK.EXE=squawk$(EXE)
INC.SQUAWK = $(wildcard apps/squawk/*.h)
SRC.SQUAWK = $(wildcard apps/squawk/*.cpp)
OBJ.SQUAWK = $(addprefix $(OUT),$(notdir $(SRC.SQUAWK:.cpp=$O)))
DEP.SQUAWK = CSTOOL CSGFX CSGEOM CSSYS CSUTIL
LIB.SQUAWK = $(foreach d,$(DEP.SQUAWK),$($d.LIB))
CFG.SQUAWK = data/config/squawk.cfg

#TO_INSTALL.EXE    += $(SQUAWK.EXE)
#TO_INSTALL.CONFIG += $(CFG.SQUAWK)
#TO_INSTALL.DATA   += data/squawk.zip data/sqk1.zip

MSVC.DSP += SQUAWK
DSP.SQUAWK.NAME = squawk
DSP.SQUAWK.TYPE = appgui

endif # ifeq ($(MAKESECTION),postdefines)

#----------------------------------------------------------------- targets ---#
ifeq ($(MAKESECTION),targets)

.PHONY: sqk sqkclean

all: $(SQUAWK.EXE)
sqk: $(OUTDIRS) $(SQUAWK.EXE)
clean: sqkclean

$(SQUAWK.EXE): $(DEP.EXE) $(OBJ.SQUAWK) $(LIB.SQUAWK)
	$(DO.LINK.EXE)

sqkclean:
	-$(RM) $(SQUAWK.EXE) $(OBJ.SQUAWK)

ifdef DO_DEPEND
dep: $(OUTOS)squawk.dep
$(OUTOS)squawk.dep: $(SRC.SQUAWK)
	$(DO.DEP)
else
-include $(OUTOS)squawk.dep
endif

endif # ifeq ($(MAKESECTION),targets)
